# GCC_ChallengeResponseItem Class Reference

`#include <gcc.h>`

List of all members.

## Public Types

enum | Choices { e_passwordString, e_responseData }

## Public Member Functions

| GCC_ChallengeResponseItem (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator GCC_PasswordSelector & ()
| operator const GCC_PasswordSelector & () const
| operator GCC_UserData & ()
| operator const GCC_UserData & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum GCC_ChallengeResponseItem::Choices

Enumerator:

  e_passwordString |
  e_responseData |

## Constructor & Destructor Documentation

GCC_ChallengeResponseItem::GCC_ChallengeResponseItem | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

GCC_ChallengeResponseItem::operator GCC_PasswordSelector & | ( |  | ) |

GCC_ChallengeResponseItem::operator const GCC_PasswordSelector & | ( |  | ) | const

GCC_ChallengeResponseItem::operator GCC_UserData & | ( |  | ) |

GCC_ChallengeResponseItem::operator const GCC_UserData & | ( |  | ) | const

PBoolean GCC_ChallengeResponseItem::CreateObject | ( |  | ) |

PObject* GCC_ChallengeResponseItem::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- gcc.h